Package org.apache.sling.resourceresolver.impl.mapping

# Interface Interpolator.Provider

Enclosing class:
  Interpolator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface Interpolator.Provider
The value for the replacement is returned by this provider

## Method Summary

Modifier and Type
Method
Description
`Object`
`provide(String type, String name, Map<String,String> directives)`

## Method Details

### provide

Object provide(String type, String name, Map<String,String> directives)